Package com.independentsoft.office.word.fields

# Class PageReference

java.lang.Object
com.independentsoft.office.word.fields.Field
com.independentsoft.office.word.fields.PageReference

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class PageReference extends Field
The Class PageReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageReference()`
  Instantiates a new page reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageReference`
  `clone()`
  `String`
  `getValue()`
  Gets the value.
  `void`
  `setUseHyperlink​(boolean useHyperlink)`
  Sets the use hyperlink.
  `void`
  `setUseRelativePosition​(boolean useRelativePosition)`
  Sets the use relative position.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`
  `boolean`
  `useHyperlink()`
  Use hyperlink.
  `boolean`
  `useRelativePosition()`
  Use relative position.

  ### Methods inherited from class com.independentsoft.office.word.fields.Field

  `getContentElements, getFieldCodes, parse`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageReference

    public PageReference()
    Instantiates a new page reference.

- ## Method Details

  - ### clone

    public PageReference clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Specified by:
      `clone` in class `Field`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### useHyperlink

    public boolean useHyperlink()
    Use hyperlink.
    Returns:
      true, if successful

  - ### setUseHyperlink

    public void setUseHyperlink​(boolean useHyperlink)
    Sets the use hyperlink.
    Parameters:
      `useHyperlink` - the new use hyperlink

  - ### useRelativePosition

    public boolean useRelativePosition()
    Use relative position.
    Returns:
      true, if successful

  - ### setUseRelativePosition

    public void setUseRelativePosition​(boolean useRelativePosition)
    Sets the use relative position.
    Parameters:
      `useRelativePosition` - the new use relative position